%===============================================================================
% henonbench.m
% contact: cedric.richard@unice.fr
%
% Benchmark signal introduced Henon:
% http://en.wikipedia.org/wiki/Hnon_map
%
% function [v,d,dref]=henonbench(Ndata)
%
% input of the function
% Ndata : signal length
%
% outputs of the function
% v     : input sequence (2-dimensional sequence [v(1,:);v(2,:)])
% d     : noisy desired output (1-dimensional sequence)
% dref  : noise-free desired output
%
%===============================================================================





function [v,d,dref] = henonbench(Ndata)
%HENON Summary of this function goes here
%   Detailed explanation goes here

clear u v d dref

dref(1:2)=[0 0];
for t=3:Ndata+2,
    dref(t)=1-1.4*dref(t-1)*dref(t-1)+0.3*dref(t-2);
end
d=dref+0*randn(1,Ndata+2);
v=[dref(1:Ndata);dref(2:Ndata+1)]';
d(1:2)=[];
dref(1:2)=[];
end